import request from '@/utils/request'

// 查询销售语音文件列表
export function getQwSopTempVoiceCompanyUser(data) {
    return request({
        url: '/qw/QwSopTempVoice/getQwUserVoice',
        method: 'post',
        data: data
    })
}

// 查询模板对应的销售语音文件列表
export function listQwSopTempVoice(query) {
    return request({
        url: '/qw/QwSopTempVoice/list',
        method: 'get',
        params: query
    })
}


// 新增模板对应的销售语音文件
export function addQwSopTempVoice(data) {
    return request({
        url: '/qw/QwSopTempVoice',
        method: 'post',
        data: data
    })
}

export function removeSidebar(data) {
    return request({
        url: '/qw/QwSopTempVoice/removeSidebar',
        method: 'post',
        data: data
    })
}

// 修改模板对应的销售语音文件
export function updateQwSopTempVoice(data) {
    return request({
        url: '/qw/QwSopTempVoice',
        method: 'put',
        data: data
    })
}

// 删除模板对应的销售语音文件
export function delQwSopTempVoice(id) {
    return request({
        url: '/qw/QwSopTempVoice/' + id,
        method: 'delete'
    })
}
